ModernLoop Internal API
Apifirecrawl

Discover the URLs on a website

Read operation: does not mutate upstream state.

curl -X POST "https://api.modernloop.dev/rest/v1/firecrawl/map" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{  "links": [    {      "url": "string",      "title": "string",      "description": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

url*string

The site URL to map

Length1 <= length
search?string

Filter discovered links by relevance to this query

limit?integer

Maximum number of links to return

Range1 <= value <= 30000

Response Body

application/json

application/json

application/json

application/json

application/json